
  <div class="center">
    <div fxLayout="column" fxLayoutAlign="space-around center">
      <label class="informations-personnelles">{{'agencyTitle' | translate}}</label>
      <div class="banner-"></div>
      <!-- <div class="form-control"> <label class="label">{{'agencyTitle' | translate}} </label></div> -->
      <div class="form-control" [style.margin-bottom.px]="45" class="espace">
  
        <label class="intro-">{{'intro' | translate}}
        </label>
      </div>
      <div fxLayout="row" fxLayoutAlign="space-between center" fxLayout.xs="column">
        <div fxLayout="column" [style.margin-right.px]="22" class="input-place">
          <label class="label">{{'gouv' | translate}}</label>
          <mat-form-field appearance="outline" class="gouv-input">
            <mat-select [(ngModel)]="government" (selectionChange)="OnChangeGov($event.value)" style="font-family: SansPro;">
              <mat-option *ngFor="let government of governments" [value]="government">
                {{government.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div fxLayout="column">
          <label class="label">{{'city' | translate}}</label>
          <mat-form-field appearance="outline" class="muni-input" >
            <mat-select [(ngModel)]="municipality" (selectionChange)="OnChangeMun($event.value)" style="font-family: SansPro;">
              <mat-option *ngFor="let municipality of municipalities" [value]="municipality">
                {{municipality.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </div>
      <div fxLayout="column">
        <label class="label">{{'agency' | translate}}</label> <!-- <input formControlName="nativeCountry" type="text"> -->
        <mat-form-field appearance="outline" class="adress-list">
          <mat-select [(ngModel)]="agency" style="font-family: SansPro;">
            <mat-option *ngFor="let agency of agencies" [value]="agency">
              {{agency.address}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <div *ngIf="isAgencySelectFocused" class="polygone"></div>
        <div *ngIf="isAgencySelectFocused" class="input-info-desc-mail" fxLayout="row"
          fxLayoutAlign="space-around center">
          <div>
            <img src="../../../assets/img/Icon feather-mail.svg">
          </div>
          <div style="padding-right: 70px;">
            <span> L'emplacement et l'adresse exacte de votre agence vous seront<br> envoyés par mail.</span>
          </div>
        </div>
      </div>
  
  
  
      <div fxLayout="row" fxLayoutAlign="space-evenly center" [style.margin-top.px]="50">
      
    
        <button class="btn-retour ret" fxLayout="row" (click)="prevStep()" fxLayoutAlign="space-evenly center">
          <span class="material-icons">
            arrow_back_ios
          </span><span class="retour">{{'back-btn' | translate}}</span></button>
          <button mat-button class="btn-continue cont-lay" (click)='continue()'>
            <span class="continuer">{{'confirmer' | translate}} </span>
          </button>
  
      </div>
    </div>
  </div>